Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000224 [Piwigo] albums block always 2005.11.28 22:23 2006.01.04 16:47
Reporter Starguezer View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.1 Product Version 1.5.0RC3
  Target Version Product Build
Summary 0000224: Problème lors d'ajout de photo
Description J'ai créé les miniatures comme avant, ca fonctionne niquel, mais quand je veux synchroniser en suivant la nouvelle procédure voici l'erreur que j'obtient :

SELECT id,file,storage_category_id,infos
  FROM phpwebgallery_waiting
  WHERE storage_category_id IN (
)
    AND validated = 'true'
;
[mysql error 1064] Erreur de syntaxe près de ')
    AND validated = 'true'' à la ligne 4

Une idée z0rglub ?
Steps To Reproduce
Additional Information
Tags No tags attached.
browser Mozilla
Database engine and version
PHP version
Web server ?
Attached Files

- Relationships

-  Notes
(0000478)
plg (manager)
2005.11.28 22:40

Je reproduis le bug avec un répertoire "galleries" vide. Dès que j'ajoute galleries/test, le bug disparaît.

Contournement rapide, dans admin/update.php, ligne 472, remplaces

if (!$simulate)

par

if (!$simulate and count($cat_ids) > 0)

(0000484)
plg (manager)
2005.12.03 22:06

- corrigé en branche 1.5 http://svn.gna.org/viewcvs/phpwebgallery?rev=966&view=rev [^]
- reporté en BSF http://svn.gna.org/viewcvs/phpwebgallery?rev=967&view=rev [^]

Starguezer, j'attends quand même ta validation pour clore ce bug. Est-ce que ton bug est corrigé avec la correction proposée ?
(0000492)
Starguezer (reporter)
2005.12.04 17:42

Je te remercie pour ta réponse mais l'erreur venait de moi, je pensai qu'on pouvait maintenant mettre des répertoires composés de noms avec des espaces. Donc l'erreur a vite disparue quand j'ai remplacé tous les espaces par des "_" comme avant...

- Issue History
Date Modified Username Field Change
2005.11.28 22:23 Starguezer New Issue
2005.11.28 22:23 Starguezer browser => Mozilla
2005.11.28 22:23 Starguezer Web server => ?
2005.11.28 22:40 plg Note Added: 0000478
2005.11.28 22:40 plg Assigned To => plg
2005.11.28 22:40 plg Status new => assigned
2005.12.03 22:06 plg Note Added: 0000484
2005.12.03 22:06 plg Status assigned => feedback
2005.12.03 22:06 plg Resolution open => fixed
2005.12.03 22:06 plg Fixed in Version => 1.5.0
2005.12.04 17:42 Starguezer Note Added: 0000492
2006.01.04 16:47 plg Status feedback => closed
2006.01.04 16:47 plg Fixed in Version 1.5.0 => 1.5.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker